MONGOC_STREAM_SOCKET_GET_SOCKET(3)

NAME
mongoc_stream_socket_get_socket() - Retrieves the underlying mongoc_socket_t for a mongoc_stream_socket_t.

SYNOPSIS

mongoc_socket_t *
mongoc_stream_socket_get_socket (mongoc_stream_socket_t *stream);

PARAMETERS

stream
    A mongoc_stream_socket_t \&.

Retrieves the underlying mongoc_socket_t for a mongoc_stream_socket_t \&.

RETURNS

A mongoc_stream_socket_t \&.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.